Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.builder
Class NAntBuilderFacade

    java.lang.Object
      com.pmease.quickbuild.builder.NAntBuilderFacade

All Implemented Interfaces:
  java.io.Serializable

public class NAntBuilderFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for NAntBuilder. NAnt builder implementation

See Also:
  Serialized Form

Constructor Summary
`NAntBuilderFacade()`

Method Summary
`java.util.Map` | `getBuildProperties()` OGNL: Define build properties here to pass into the NAnt build script.
`java.lang.String` | `getBuildScriptPath()` OGNL: The path for the NAnt build script.
`java.lang.String` | `getBuildSuccessCondition()` OGNL: The build success condition is an OGNL expression used to determine if the build of the current project was successful.
`java.lang.String` | `getDirToRunNAnt()` Optionally specify the directory to run NAnt in.
`java.util.Map` | `getEnvironments()` OGNL: Environment variables to set before running this builder.
`java.lang.String` | `getExtraNAntOptions()` Optionally specify extra NAnt options.
`java.lang.String` | `getName()` OGNL: Specify name of this builder
`java.lang.String` | `getNantExecutablePath()` OGNL: Specify command to run NAnt.
`java.lang.String` | `getTargets()` OGNL: Specify the targets to build.
`void` | `setBuildProperties(java.util.Map buildProperties)`
`void` | `setBuildScriptPath(java.lang.String buildScriptPath)`
`void` | `setBuildSuccessCondition(java.lang.String buildSuccessCondition)`
`void` | `setDirToRunNAnt(java.lang.String dirToRunNAnt)`
`void` | `setEnvironments(java.util.Map environments)`
`void` | `setExtraNAntOptions(java.lang.String extraNAntOptions)`
`void` | `setName(java.lang.String name)`
`void` | `setNantExecutablePath(java.lang.String nantExecutablePath)`
`void` | `setTargets(java.lang.String targets)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NAntBuilderFacade

    public NAntBuilderFacade()

Method Detail

### getNantExecutablePath

    public java.lang.String getNantExecutablePath()

  OGNL: Specify command to run NAnt. For example, C:\\nant-0.85-rc3\\bin\\nant.exe
  NOTE: Command or arguement with spaces should be quoted.

### setNantExecutablePath

    public void setNantExecutablePath(java.lang.String nantExecutablePath)

### getBuildScriptPath

    public java.lang.String getBuildScriptPath()

  OGNL: The path for the NAnt build script. If this path is not an absolute path, it is assumed that it is relative to the current configuration's checkouts directory.

### setBuildScriptPath

    public void setBuildScriptPath(java.lang.String buildScriptPath)

### getTargets

    public java.lang.String getTargets()

  OGNL: Specify the targets to build. Use space to separate different targets (target name containing spaces should be quoted in order not to be interpreted as multiple targets). You can also use ${...} to pass variables to the target name. For example you can use ${name} to reference name of current configuration. For valid OGNL expressions in this context, please refer to the user's guide.

### setTargets

    public void setTargets(java.lang.String targets)

### getBuildProperties

    public java.util.Map getBuildProperties()

  OGNL: Define build properties here to pass into the NAnt build script. For example:
  buildVersion=${build.version}
  configurationName=${name}
  You should set one variable per line. OGNL expression can be inserted to form the value provided they are enclosed by ${...}. For valid OGNL expressions in this context, please refer to the user's guide.
  NOTE: Properties with blank value will be ignored.

### setBuildProperties

    public void setBuildProperties(java.util.Map buildProperties)

### getDirToRunNAnt

    public java.lang.String getDirToRunNAnt()

  Optionally specify the directory to run NAnt in. If not specified, NAnt will be executed in the directory containing the build script you specified.

### setDirToRunNAnt

    public void setDirToRunNAnt(java.lang.String dirToRunNAnt)

### getExtraNAntOptions

    public java.lang.String getExtraNAntOptions()

  Optionally specify extra NAnt options.

### setExtraNAntOptions

    public void setExtraNAntOptions(java.lang.String extraNAntOptions)

### getBuildSuccessCondition

    public java.lang.String getBuildSuccessCondition()

  OGNL: The build success condition is an OGNL expression used to determine if the build of the current project was successful. Refer to the user's guide for details.

### setBuildSuccessCondition

    public void setBuildSuccessCondition(java.lang.String buildSuccessCondition)

### getEnvironments

    public java.util.Map getEnvironments()

  OGNL: Environment variables to set before running this builder. For example:
  buildVersion=${build.version}
  configurationName=${name}
  You should set one variable per line. OGNL expression can be inserted to form the value provided they are enclosed by ${...}. For valid OGNL expressions in this context, please refer to the user's guide.
  TIPS: For Ant/Maven builder, you can define JAVA_HOME here to build with a different JDK.

### setEnvironments

    public void setEnvironments(java.util.Map environments)

### getName

    public java.lang.String getName()

  OGNL: Specify name of this builder

### setName

    public void setName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.